/*!
  \example sci_echoback.c エコーバックサンプル

  \author Satofumi KAMIMURA

  $Id: sci_echoback.c 1623 2010-01-16 12:15:44Z satofumi $
*/

#include "sci_control.h"
#include "sci_put.h"
#include "imask_control.h"


int main(void)
{
  sci_initialize(6, 38400);
  imask_setMaskLevel(0);

  sci_puts("echoback sample\r\n");

  while (1) {
    char ch;
    sci_receive(&ch, 1);
    if (ch == 'a') {
      ch = 'A';
    }
    sci_send(&ch, 1);
  }
}
